Bug 96987 - Update of Fetchmail from 6.3.2 to 6.3.4
Summary: Update of Fetchmail from 6.3.2 to 6.3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon Barner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-08 19:00 UTC by Rob MacGregor
Modified: 2006-05-12 17:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob MacGregor 2006-05-08 19:00:32 UTC
Update of fetchmail 6.3.2 to 6.3.4.

Tested and working on my system for the last couple of weeks.

This includes a number of bug fixes and useful new features.

Fix: 

Remove files/patch-netrc.c - now included in fetchmail 6.3.4

Replace distinfo with:
Comment 1 Emanuel Haupt freebsd_committer 2006-05-08 19:27:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 2 Emanuel Haupt freebsd_committer 2006-05-08 19:41:31 UTC
The packing list is incomplete. New patch:

(http://people.freebsd.org/~ehaupt/snippets/96987/fetchmail.patch)

--- fetchmail.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/mail/fetchmail/Makefile,v
retrieving revision 1.170
diff -u -r1.170 Makefile
--- Makefile	30 Jan 2006 12:47:52 -0000	1.170
+++ Makefile	8 May 2006 18:39:55 -0000
@@ -10,8 +10,7 @@
 # want fetchmailconf to work, define WITH_X11
 
 PORTNAME=	fetchmail
-PORTVERSION=	6.3.2
-PORTREVISION=	1
+PORTVERSION=	6.3.4
 CATEGORIES=	mail ipv6
 MASTER_SITES=	http://download.berlios.de/%SUBDIR%/ \
 		http://home.pages.de/~mandree/%SUBDIR%/ \
@@ -24,7 +23,6 @@
 RUN_DEPENDS=	${LOCALBASE}/share/certs/ca-root.crt:${PORTSDIR}/security/ca-roots
 
 USE_BZIP2=	yes
-USE_REINPLACE=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 USE_OPENSSL=	yes
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/mail/fetchmail/distinfo,v
retrieving revision 1.123
diff -u -r1.123 distinfo
--- distinfo	23 Jan 2006 15:14:27 -0000	1.123
+++ distinfo	8 May 2006 18:39:55 -0000
@@ -1,3 +1,3 @@
-MD5 (fetchmail-6.3.2.tar.bz2) = a532134a5e3b35b4f8b78a8184439837
-SHA256 (fetchmail-6.3.2.tar.bz2) = 4fbb779c0fddf74af8267a8e8a68bc276c7afc2c854e04b754ca7ebbab2f876e
-SIZE (fetchmail-6.3.2.tar.bz2) = 1190838
+MD5 (fetchmail-6.3.4.tar.bz2) = 35ded0414fcff79b492d6ade2ce48911
+SHA256 (fetchmail-6.3.4.tar.bz2) = a090cfc47949e4ea5eebd46c82e82be35cdc743488e6d7258089591521b5db4f
+SIZE (fetchmail-6.3.4.tar.bz2) = 1210405
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/mail/fetchmail/pkg-plist,v
retrieving revision 1.22
diff -u -r1.22 pkg-plist
--- pkg-plist	10 Dec 2005 16:09:12 -0000	1.22
+++ pkg-plist	8 May 2006 18:39:55 -0000
@@ -23,3 +23,4 @@
 %%NLS%%share/locale/pl/LC_MESSAGES/fetchmail.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/fetchmail.mo
 %%NLS%%share/locale/sq/LC_MESSAGES/fetchmail.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/fetchmail.mo
Index: files/patch-netrc.c
===================================================================
RCS file: files/patch-netrc.c
diff -N files/patch-netrc.c
--- files/patch-netrc.c	30 Jan 2006 12:47:53 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,15 +0,0 @@
---- netrc.c	(Revision 4683)
-+++ netrc.c	(Revision 4684)
-@@ -314,8 +314,10 @@
- free_netrc(netrc_entry *a) {
-     while(a) {
- 	netrc_entry *n = a->next;
--	memset(a->password, 0x55, strlen(a->password));
--	xfree(a->password);
-+	if (a->password != NULL) {
-+		memset(a->password, 0x55, strlen(a->password));
-+		free(a->password);
-+	}
- 	xfree(a->login);
- 	xfree(a->host);
- 	xfree(a);
--- fetchmail.patch ends here ---

-- 
GnuPG key id: 0x55E67774         Download: http://pgp.mit.edu:11371
Key fingerprint: 17B3 FD8F BA68 4AB4 10FD  A9D1 AD52 6588 55E6 7774
Comment 3 Emanuel Haupt freebsd_committer 2006-05-08 19:42:36 UTC
Responsible Changed
From-To: ehaupt->barner

Over to maintainer.
Comment 4 Simon Barner freebsd_committer 2006-05-12 17:59:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!